/*/////////////////////////////////////////////////////////////////////////////////////////////////
	User's Guide
		TOP Page Only [Latest]
 Modified : 2013-12-16
/////////////////////////////////////////////////////////////////////////////////////////////////*/

$(function(){
	
	winHeight();
	$(window).resize(function(){ winHeight(); });
	function winHeight(){
		var cp = ($('#contents').css('padding-top').match(/\d+/)*1)+($('#contents').css('padding-bottom').match(/\d+/)*1);
		
		if($("#documentBody").height() <= $(window).height()){
			$('#contents').css('height',  $(window).height() - $('#contents').position().top - cp + 'px' );
		}
	}








//ツールナビ ----------------------------------------------------------------------------------
	
	for(i=1,len=$('#toolNavi > ul > li').length; i<=len; i++){
		var inv = i;
		var loadFile = 'contents/top_menu_id' + initAlign($('#toolNavi .navi'+inv+' h4').attr('id').slice(4),2) + '.html';
		$('#toolNavi .navi'+inv+' h4').after('<div class="naviList" id="toolnavi'+inv+'_list"></div>');
		if($('#toolNavi > ul > li').length == inv){ $('#toolnavi'+inv+'_list').addClass('last'); }
		if( HttpReqSecure ){
			var loadf = eval('top_menu_id' + initAlign($('#toolNavi .navi'+inv+' h4').attr('id').slice(4),2));
			if(loadf){
				loadf = loadf.replace(/^.*?<body[^>]*?>/, "").replace(/^<\/body>.*?<\/html>/, "");
				$('#toolnavi'+inv+'_list').html(loadf);
				$('#toolnavi'+inv+'_list > .lp').replaceWith($('#toolnavi'+inv+'_list #naviTree').html());
			}
		}else{
			$('#toolnavi'+inv+'_list').load(loadFile + ' #naviTree > ul',function(text, status){
				if(status=='success'){
					
				}else{
					//
				}
			});
		}
	}


	$('#toolNavi > ul > li > h4').click(function(){
		if($(this).is(':has(a[href])')){
			$("#toolNavi .naviList").hide().removeClass("openList").removeShadow();
			//ツールチップ消し $('#'+$(this).attr('tipId')).hide();
			location.href= $(this).children().children().attr('href');
		}else{
			var t = $(this).parent().attr('class');
			for(i=1; i<=3; i++){
				var ta = '#toolnavi'+i+'_list';
					if(t == 'navi' + i){
					if($(ta).hasClass("openList")){
						$(ta).removeShadow().hide().removeClass("openList");
					}else{
						$(ta).show().addClass("openList").dropShadow({opacity: '0.35', blur: 4, left: 0});
					}
				}else{
					$(ta).removeShadow().hide().removeClass("openList");
				}
			}
		}
	});
//-----------------------------------------------------------------------------------------------------------------


















});//($function()の終了






